Security Enhanced Linux Reference Policy

# Layer: services

## Module: crio

Interfaces

### Description:

policy for cri-o

### Interfaces:

crio_admin( domain , role )

##### Summary

All of the rules required to administrate a CRI-O environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

crio_domtrans( domain )

##### Summary

Execute CRI-O in the crio domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

crio_read_conmon_state( domain )

##### Summary

Read the process state (/proc/pid) of CRI-O conmon.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

crio_run( domain , role )

##### Summary

Execute CRI-O in the crio domain, and allow the specified role the kubelet domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | The role to be allowed the crio domain.

Return